> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Asset



## OpenAPI

````yaml /openapi.json patch /api/v1/brands/{brand_id}/assets/{asset_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/assets/{asset_id}:
    patch:
      tags:
        - Brands
        - Brands
      summary: Update Asset
      operationId: update_asset_api_v1_brands__brand_id__assets__asset_id__patch
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: asset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandAssetUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandAssetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandAssetUpdate:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        usage_scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Usage Scope
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
      type: object
      title: BrandAssetUpdate
    BrandAssetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        file_name:
          type: string
          title: File Name
        file_type:
          type: string
          title: File Type
        file_size_bytes:
          type: integer
          title: File Size Bytes
          default: 0
        category:
          type: string
          title: Category
        usage_scope:
          type: string
          title: Usage Scope
          default: all
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - brand_id
        - file_name
        - file_type
        - category
        - created_at
        - updated_at
      title: BrandAssetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````